* Encoding: UTF-8.

*******************************************************************************************************************************************************************************************************************.
****************************************************GENERACIN DE AGREGADOS - ENCUESTA ESTRUCTURAL EMPRESARIAL 2017**************************************************************.
*******************************************************************************************************************************************************************************************************************.

*INSTITUTO NACIONAL DE ESTADSTICA Y CENSO (INEC)
*FUENTE: Encuesta de Estructural Empresarial 2017.
*RESPONSABLE: Unidad de Gestin de Estadsticas Estructurales
*Fecha de elaboracin: Abril 2019.
*Fecha de ltima actualizacin: 16/04/2019

****************************/.
***PRODUCCIN.
****************************/..

***CLCULO DE COMPONENTES DE LA PRODUCCIN***.

***OTROS INGRESOS***.
***Incluye otros , Arrendamiento Mercantil y Otros ingresos no operacionales***.
COMPUTE oingxser= sum.1(v1028, v1031, v1038).
VARIABLE LABELS oingxser "Otros ingresos por servicios y no operacionales".
FORMATS oingxser (F15.0).
EXECUTE.


****VARIACIN DE EXISTENCIAS DE PRODUCCIN***.
***VARIACIN EXISTENCIAS ARTCULOS PRODUCIDOS PARA LA VENTA***.
COMPUTE varexisbt = sum.1(v1066, v1070, - v1064, - v1068).
VARIABLE LABELS varexisbt 'Variacin de existencias de artculos producidos para la venta'.
FORMATS varexisbt (F15.0).
EXECUTE.

***VARIACIN EXISTENCIAS MERCADERAS**.
COMPUTE varexism = sum.1(v1054, - v1047).
VARIABLE LABELS varexism 'Variacin de existencias de artculos para la venta sin transformacin (Mercaderas)'.
FORMATS varexism (F15.0).
EXECUTE.

***CLCULO DE PRODUCCIN***.

COMPUTE prodtota= sum.1 (v2001, v2002, v2003, v2004, -v1049, -v1052, oingxser, varexisbt, varexism, v4142).
VARIABLE LABELS prodtota "Produccin Total".
FORMATS prodtota (F15.0).
EXECUTE.

*********************************/.
***CONSUMO INTERMEDIO.
*********************************/.

***CLCULO DE COMPONENTES DEL CONSUMO INTERMEDIO***.

***TOTAL INSUMOS***.

***MATERIA PRIMA UTILIZADA***.																																																										
COMPUTE	matprima =sum.1(v1056, v1058, v1060, -v1062).
VARIABLE LABELS matprima "Materia prima utilizada".
FORMATS matprima (F15.0).
EXECUTE.

***VARIACIN DE EXISTENCIAS DEL CONSUMO INTERMEDIO***.

COMPUTE varexisci = sum.1(v1062, - v1056).
VARIABLE LABELS varexisci 'Variacin de existencias de materia prima'.
FORMATS varexisci (F15.0).
EXECUTE.

COMPUTE totexi = sum.1(varexisbt, varexism, varexisci).
FORMATS totexi (F15.0).
VARIABLE LABELS totexi 'Variacin de existencias'.
EXECUTE.

***REPUESTOS Y ACCESORIOS***.																		
COMPUTE	repacces=	v1141.
VARIABLE LABELS repacces "Suministros, herramientas, materiales y repuestos".
FORMATS repacces (F15.0).
EXECUTE.

***TOTAL INSUMOS***.
COMPUTE	totinsum=	sum.1(matprima, repacces).
VARIABLE LABELS totinsum "Total insumos".
FORMATS totinsum (F15.0).
EXECUTE.

****GASTOS***.																							
COMPUTE servbanc= sum.1(v1186, v1188, v1190, v1192, v1194, v1196).
VARIABLE LABELS servbanc "Gastos financieros".
FORMATS servbanc (F15.0).
EXECUTE.

COMPUTE gasxalqu= sum.1(v1138, v1184).
VARIABLE LABELS gasxalqu "Arrendamientos".
FORMATS gasxalqu (F15.0).
EXECUTE.

COMPUTE	gasopera=	sum.1(v1152, v1146, v1173, v1130, gasxalqu, v1161, v1091, v1094, v1133, v1127, v1124).
VARIABLE LABELS gasopera 'Gastos operacionales'.
FORMATS gasopera (F15.0).
EXECUTE.

COMPUTE	otrgasop=	sum.1(v1109, servbanc, v1164, v1149, v1175, v1112, v1115, v1135, v1167, v1178, v1200).
VARIABLE LABELS otrgasop 'Otros gastos operacionales'.
FORMATS otrgasop (F15.0).
EXECUTE.

COMPUTE totgadop=  sum.1(gasopera, otrgasop).
VARIABLE LABELS totgadop 'Total gastos operacionales'.
FORMATS totgadop (F15.0).
EXECUTE.

***CLCULO DEL CONSUMO INTERMEDIO***.
COMPUTE consint = sum.1(totinsum, gasopera, otrgasop).
VARIABLE LABELS consint 'Consumo Intermedio'.
FORMATS consint (F15.0).
EXECUTE.


*****************************/.
***VALOR AGREGADO.
*****************************/.

COMPUTE valag = sum.1(prodtota, - consint).
VARIABLE LABELS valag 'Valor agregado'.
FORMATS valag (F15.0).
EXECUTE.


*******************************************.
*********DEPRECIACIONES***********.
*******************************************.

compute deprecia=v4148.
VARIABLE LABELS deprecia 'Depreciaciones'.
FORMATS deprecia (F15.0).


*********************************************.
*********REMUNERACIONES***********.
*********************************************.

COMPUTE	totremun=	sum.1(v1082, v1085, v1088, v1097, v1100, v1103, v1205).
VARIABLE LABELS totremun 'Remuneraciones'.
FORMATS totremun (F15.0).
EXECUTE.

*********************************************************.
*********TOTAL PERSONAL OCUPADO***********.
*********************************************************.
***ACTUALIZACIN 2017***.
COMPUTE totalpeoc = v5234.
VARIABLE LABELS totalpeoc 'Personal ocupado'.
FORMATS totalpeoc (F15.0).
EXECUTE.

********************************************************************.
********FORMACIN BRUTA DE CAPITAL FIJO************.
********************************************************************.
*************Clculo de activos fijos****************************.
			
****Compra de bienes nuevos en el 2017.		
*1 Maquinaria y equipo en montaje y en transito + maquinaria y equipo + instalaciones.
COMPUTE	adqmyenv=	sum.1(v4035, v4049).
FORMATS adqmyenv (F15.0).
VARIABLE LABELS adqmyenv 'Adquisiciones de maquinaria, equipo e instalaciones nuevos'.
EXECUTE.

*2 Construcciones en curso + Edificios.
COMPUTE	adqeiycnv=	sum.1(v4011, v4025).
FORMATS adqeiycnv (F15.0).
VARIABLE LABELS adqeiycnv 'Adquisicin de edificios y otras construcciones nuevos'.
EXECUTE.

*3 Muebles y Enseres y Equipos de Oficina.
COMPUTE	adqmenv= v4059.
FORMATS adqmenv (F15.0).
VARIABLE LABELS adqmenv 'Adquisicin de muebles y enseres y Equipos de Oficina nuevos'.
EXECUTE.

*4 Equipos de computacin.
COMPUTE	adqeofnv= v4073.
FORMATS adqeofnv (F15.0).
VARIABLE LABELS adqeofnv 'Adquisicin de equipos de computacin nuevos'.
EXECUTE.

*5 Vehculos y equipos de transporte.
COMPUTE	adqvnv= v4087.
FORMATS adqvnv (F15.0).
VARIABLE LABELS adqvnv  'Adquisicin de vehculos y equipos de transporte nuevos'.
EXECUTE.

*6 Equipo caminero movil.
COMPUTE	adqecmnv=	v4101.
FORMATS adqecmnv (F15.0).
VARIABLE LABELS adqecmnv 'Adquisicin de equipo caminero mvil nuevos'.
EXECUTE.

*7 Activos biolgicos.
COMPUTE	adqacbinv=	v4115.
FORMATS adqacbinv (F15.0).
VARIABLE LABELS adqacbinv 'Adquisicin de activos biolgicos nuevos'.
EXECUTE.

*8 Otros Activos Fijos.
COMPUTE	adqoafnv= v4129.
FORMATS adqoafnv (F15.0).
VARIABLE LABELS adqoafnv 'Adquisicin de otros activos fijos tangibles nuevos'.
EXECUTE.

*Total de Adquisiciones.	
COMPUTE	totadqnv=	sum.1(adqmyenv, adqeiycnv, adqmenv, adqeofnv, adqvnv, adqecmnv, adqacbinv, adqoafnv).
FORMATS totadqnv (F15.0).
VARIABLE LABELS totadqnv 'Total adquisicin de activos fijos tangibles nuevos'.
EXECUTE.
		
*******************.																								
COMPUTE	comactnu=	v4143.
FORMATS comactnu (F15.0).
VARIABLE LABELS comactnu 'Compra de activos fijos nuevos'.
EXECUTE.
																									
COMPUTE	comactusad = sum.1(v4144, - v4002).
FORMATS comactusad (F15.0).
VARIABLE LABELS comactusad 'Compra de activos fijos usados'.
EXECUTE.

COMPUTE	venactfi= sum.1(v4145, v4146, -v4003, -v4004).
FORMATS venactfi (F15.0).
VARIABLE LABELS venactfi 'Venta y bajas de activos fijos'.
EXECUTE.
														
COMPUTE	comnette=	sum.1(v4002, -v4003, -v4004).
FORMATS comnette (F15.0).
VARIABLE LABELS comnette 'Compras netas de activos fijos no producidos - Terrenos'.
EXECUTE.

COMPUTE	revajust=	v4147.
FORMATS revajust (F15.0).
VARIABLE LABELS revajust 'Revalorizacin y ajuste por valor de mercado en el ao'.
EXECUTE.
																									
COMPUTE	sal31dic=	v4150.
FORMATS sal31dic (F15.0).
VARIABLE LABELS sal31dic 'Valor histrico al 31 de Diciembre'.
EXECUTE.
																							
COMPUTE	consactpcp= v4142.
FORMATS consactpcp (F15.0).
VARIABLE LABELS consactpcp 'Construccin de activos fijos por cuenta propia'.
EXECUTE.

****ADQUISICIONES***

COMPUTE totadquisi= sum.1(totadqnv, comactusad).
FORMATS totadquisi (F15.0).
VARIABLE LABELS totadquisi 'Total de adquisiciones'.
EXECUTE.

COMPUTE totdispos = venactfi.
FORMATS totdispos (F15.0).
VARIABLE LABELS totdispos 'Total disposiciones (-)'.
EXECUTE.

COMPUTE  fbkf_1= sum.1(totadquisi, - totdispos, consactpcp).
FORMATS fbkf_1 (F15.0).
VARIABLE LABELS fbkf_1 'Formacin bruta de capital fijo'.
EXECUTE.

********************************************************************.
*************FORMACIN DE CAPITAL FIJO*****************.
********************************************************************.

COMPUTE  fbk = sum.1(fbkf_1, totexi).
VARIABLE LABELS fbk 'Formacin de capital fijo'.
FORMATS fbk (F15.0).
EXECUTE.

